#
######################################################
#
#  SaVi by Robert Thurman (thurman@geom.umn.edu) and
#          Patrick Worfolk (worfolk@alum.mit.edu).
#
#  Copyright (c) 1997 by The Geometry Center.
#  This file is part of SaVi.  SaVi is free software;
#  you can redistribute it and/or modify it only under
#  the terms given in the file COPYRIGHT which you should
#  have received along with this file.  SaVi may be
#  obtained from:
#  http://savi.sourceforge.net/
#  http://www.geom.uiuc.edu/locate/SaVi
#
######################################################
#
# empty.tcl
#
# $Id: empty.tcl,v 1.2 2005/12/22 01:41:16 lloydwood Exp $

proc empty(build) {} {
    if [winfo exists .empty] {
	wm deiconify .empty
	raise .empty
	return
    }

    set name [build_Toplevel empty]

    wm protocol $name WM_DELETE_WINDOW empty(dismiss)

    build_Title $name "empty space?"

    build_Buttonbar $name dbbar \
	{"Empty space of all satellites" empty(delete_all)} \
        {"Dismiss" empty(dismiss)}

    update
}

proc empty(delete_all) {} {
    main(delete_all)
}

proc empty(dismiss) {} {
    destroy .empty
}
